Subject: Re: bug#73838: 31.0.50; Problems in note_mouse_highlight if -nw

From: Eli Zaretskii <[email-masked]>
Date: Thu, 17 Oct 2024 13:44:52 +0300

> From: Gerd Möllmann <[email-masked]>
> Cc: [email-masked]
> Date: Thu, 17 Oct 2024 09:03:13 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > If that's not what you are suggesting, I
> > wonder what is wrong with the current code that we need to make
> > changes which are basically half-solutions.  If the problem is access
> > to unrelated memory, that is easy to fix by just adding enough slack
> > to tty_output definition, for example.
> 
> You mean by making sizeof (struct tty_output) == sizeof (ns_output) in
> my case, and let it go? Bloodcurdlingly horrible! I don't even want to
> think about it.

Why is it a problem to add some dummy buffer to a struct? what's so
horrible about that?  The reason is to let ASAN build run without
false positives.

Alternatively, cannot you tell ASAN in some way that this code is
okay?

> I'm think I understand that. And I can understand that you are not
> interested unless a "grander" solution is available, maybe something
> like the "base class" approach I tried to describe above. So be it.
> 
> I think you can as well close this bug as wontfix. It's unlikely that
> I'll work in the direction you would like to see in the forseeable
> future.

Understood.